set(lrpo).

assign(max_mem, 24000).
assign(max_seconds, 1800).

clear(print_kept).
clear(print_new_demod).
clear(print_back_demod).
clear(print_given).

set(basic_paramod).
set(functional_subsume).
set(ordered_paramod).
set(prime_paramod).

assign(pick_given_ratio, 4).

set(para_pairs).  % delete for given algorithm

%%%%%%%%%%%%%%%%%%%%%%
op(400, xfx, [*,+,^,v,/,\,#]).  % infix operators
op(300,yf,@).                   % postfix operator

assign(max_weight, 50).

end_of_commands.

list(sos).
f(f(x,g(x),y),g(f(f(z,u,v),w,f(z,u,v6))),f(u,f(v6,w,v),z))=y.

% f(f(D,E,A),B,f(D,E,C)) != f(D,E,f(A,B,C)).
% f(B,A,A) != A.
% f(A,B,g(B)) != A.
  f(A,A,B) != A.
% f(g(B),B,A) != A.

end_of_list.

